Merge changes I7d7323b8,Ib796cfee
[releng/global-jjb.git] / jjb-test / expected-xml / gerrit-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <jenkins.model.BuildDiscarderProperty>
13       <strategy class="hudson.tasks.LogRotator">
14         <daysToKeep>7</daysToKeep>
15         <numToKeep>-1</numToKeep>
16         <artifactDaysToKeep>-1</artifactDaysToKeep>
17         <artifactNumToKeep>0</artifactNumToKeep>
18       </strategy>
19     </jenkins.model.BuildDiscarderProperty>
20     <hudson.model.ParametersDefinitionProperty>
21       <parameterDefinitions>
22         <hudson.model.StringParameterDefinition>
23           <name>PROJECT</name>
24           <description>Parameter to identify a Gerrit project. This is typically the
25 project repo path as exists in Gerrit.
26 For example: ofextensions/circuitsw
27 </description>
28           <defaultValue>releng/ciman</defaultValue>
29         </hudson.model.StringParameterDefinition>
30         <hudson.model.StringParameterDefinition>
31           <name>STREAM</name>
32           <description>Stream is often set to the same name as 'branch' but can
33 sometimes be used as a name representing a project's release code
34 name.
35 </description>
36           <defaultValue>master</defaultValue>
37         </hudson.model.StringParameterDefinition>
38         <hudson.model.StringParameterDefinition>
39           <name>GERRIT_PROJECT</name>
40           <description>Parameter to identify Gerrit project. This is typically the
41 project repo path as exists in Gerrit.
42 For example: ofextensions/circuitsw
43
44 Note that Gerrit will override this parameter automatically if a
45 job is triggered by Gerrit.
46 </description>
47           <defaultValue>releng/ciman</defaultValue>
48         </hudson.model.StringParameterDefinition>
49         <hudson.model.StringParameterDefinition>
50           <name>GERRIT_BRANCH</name>
51           <description>Parameter to identify a Gerrit branch.
52
53 Note that Gerrit will override this parameter automatically if a
54 job is triggered by Gerrit.
55 </description>
56           <defaultValue>master</defaultValue>
57         </hudson.model.StringParameterDefinition>
58         <hudson.model.StringParameterDefinition>
59           <name>GERRIT_REFSPEC</name>
60           <description>Parameter to identify a refspec when pulling from Gerrit.
61
62 Note that Gerrit will override this parameter automatically if a
63 job is triggered by Gerrit.
64 </description>
65           <defaultValue>refs/heads/master</defaultValue>
66         </hudson.model.StringParameterDefinition>
67         <hudson.model.StringParameterDefinition>
68           <name>LFTOOLS_VERSION</name>
69           <description>Version of lftools to install. Can be a specific version like
70 '0.6.0' or a PEP-440 definition.
71 https://www.python.org/dev/peps/pep-0440/
72 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
73 </description>
74           <defaultValue>&lt;1.0.0</defaultValue>
75         </hudson.model.StringParameterDefinition>
76         <hudson.model.StringParameterDefinition>
77           <name>TOX_DIR</name>
78           <description>Path to directory containing tox.ini file.
79 </description>
80           <defaultValue/>
81         </hudson.model.StringParameterDefinition>
82         <hudson.model.StringParameterDefinition>
83           <name>TOX_ENVS</name>
84           <description>Tox environments to run build against.
85 Example: docs,py2,py3
86 </description>
87           <defaultValue/>
88         </hudson.model.StringParameterDefinition>
89       </parameterDefinitions>
90     </hudson.model.ParametersDefinitionProperty>
91   </properties>
92   <scm class="hudson.plugins.git.GitSCM">
93     <configVersion>2</configVersion>
94     <userRemoteConfigs>
95       <hudson.plugins.git.UserRemoteConfig>
96         <name>origin</name>
97         <refspec>$GERRIT_REFSPEC</refspec>
98         <url>$GIT_URL/$GERRIT_PROJECT</url>
99         <credentialsId>test-credential</credentialsId>
100       </hudson.plugins.git.UserRemoteConfig>
101     </userRemoteConfigs>
102     <branches>
103       <hudson.plugins.git.BranchSpec>
104         <name>refs/heads/$GERRIT_BRANCH</name>
105       </hudson.plugins.git.BranchSpec>
106     </branches>
107     <excludedUsers/>
108     <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
109     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
110     <authorOrCommitter>false</authorOrCommitter>
111     <wipeOutWorkspace>true</wipeOutWorkspace>
112     <pruneBranches>false</pruneBranches>
113     <remotePoll>false</remotePoll>
114     <gitTool>Default</gitTool>
115     <submoduleCfg class="list"/>
116     <relativeTargetDir/>
117     <reference/>
118     <gitConfigName/>
119     <gitConfigEmail/>
120     <skipTag>true</skipTag>
121     <scmName/>
122     <useShallowClone>false</useShallowClone>
123     <ignoreNotifyCommit>false</ignoreNotifyCommit>
124     <extensions>
125       <hudson.plugins.git.extensions.impl.SubmoduleOption>
126         <disableSubmodules>false</disableSubmodules>
127         <recursiveSubmodules>true</recursiveSubmodules>
128         <trackingSubmodules>false</trackingSubmodules>
129         <reference/>
130         <timeout>10</timeout>
131       </hudson.plugins.git.extensions.impl.SubmoduleOption>
132       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
133     </extensions>
134   </scm>
135   <triggers class="vector">
136     <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
137       <spec/>
138       <gerritProjects>
139         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
140           <compareType>ANT</compareType>
141           <pattern>releng/ciman</pattern>
142           <branches>
143             <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
144               <compareType>ANT</compareType>
145               <pattern>**/master</pattern>
146             </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
147           </branches>
148           <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
149         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
150       </gerritProjects>
151       <skipVote>
152         <onSuccessful>false</onSuccessful>
153         <onFailed>false</onFailed>
154         <onUnstable>false</onUnstable>
155         <onNotBuilt>false</onNotBuilt>
156       </skipVote>
157       <silentMode>false</silentMode>
158       <silentStartMode>false</silentStartMode>
159       <escapeQuotes>true</escapeQuotes>
160       <noNameAndEmailParameters>false</noNameAndEmailParameters>
161       <readableMessage>false</readableMessage>
162       <dependencyJobsNames/>
163       <notificationLevel/>
164       <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
165       <triggerConfigURL/>
166       <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
167       <triggerOnEvents>
168         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
169           <excludeDrafts>false</excludeDrafts>
170           <excludeTrivialRebase>false</excludeTrivialRebase>
171           <excludeNoCodeChange>false</excludeNoCodeChange>
172         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
173         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
174         <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
175           <commentAddedCommentContains>recheck$</commentAddedCommentContains>
176         </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
177       </triggerOnEvents>
178       <buildStartMessage/>
179       <buildFailureMessage/>
180       <buildSuccessfulMessage/>
181       <buildUnstableMessage/>
182       <buildNotBuiltMessage/>
183       <buildUnsuccessfulFilepath/>
184       <customUrl/>
185       <serverName>test-server</serverName>
186     </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
187   </triggers>
188   <builders>
189     <hudson.tasks.Shell>
190       <command>#!/bin/bash
191 # SPDX-License-Identifier: EPL-1.0
192 ##############################################################################
193 # Copyright (c) 2017 The Linux Foundation and others.
194 #
195 # All rights reserved. This program and the accompanying materials
196 # are made available under the terms of the Eclipse Public License v1.0
197 # which accompanies this distribution, and is available at
198 # http://www.eclipse.org/legal/epl-v10.html
199 ##############################################################################
200 echo &quot;---&gt; lftools-install.sh&quot;
201
202 # Script to install lftools via a version passed in via lf-infra-parameters
203 #
204 # Required parameters:
205 #
206 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
207 #                      set to a strict version number like '1.2.3' or using
208 #                      PEP-440 definitions.
209 #
210 #                      Examples:
211 #                          &lt;1.0.0
212 #                          &gt;=1.0.0,&lt;2.0.0
213 #
214 # By default a released version of lftools should always be used.
215 # The purpose of the 2 variables below is so that lftools devs can test
216 # unreleased versions of lftools. There are 2 methods to install a dev version
217 # of lftools:
218 #
219 #     1) gerrit patch: Used to test a patch that has not yet been merged.
220 #                      To do this set something like this:
221 #                          LFTOOLS_MODE=gerrit
222 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
223 #
224 #     2) git branch: Used to install an lftools version from a specific branch.
225 #                    To use this set the variables as follows:
226 #                          LFTOOLS_MODE=git
227 #                          LFTOOLS_REFSPEC=master
228 #
229 #     3) release : The intended use case and default setting.
230 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
231
232 LFTOOLS_MODE=release  # release | git | gerrit
233 LFTOOLS_REFSPEC=master
234
235 # Ensure we fail the job if any steps fail.
236 # DO NOT set -u as virtualenv's activate script has unbound variables
237 set -e -o pipefail
238
239 virtualenv --quiet &quot;/tmp/v/lftools&quot;
240 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
241 source &quot;/tmp/v/lftools/bin/activate&quot;
242 pip install --quiet --upgrade pip
243
244 case $LFTOOLS_MODE in
245     gerrit)
246         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
247         pushd /tmp/lftools
248         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
249         git checkout FETCH_HEAD
250         pip install --quiet --upgrade -r requirements.txt
251         pip install --quiet --upgrade -e .
252         popd
253         ;;
254
255     git)
256         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
257         ;;
258
259     release)
260         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
261             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
262         fi
263
264         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
265         ;;
266 esac
267
268 lftools --version
269
270 # pipdeptree prints out a lot of information because lftools pulls in many
271 # dependencies. Let's only print it if we want to debug.
272 # echo &quot;----&gt; Pip Dependency Tree&quot;
273 # pip install --quiet --upgrade pipdeptree
274 # pipdeptree
275 </command>
276     </hudson.tasks.Shell>
277     <hudson.tasks.Shell>
278       <command>#!/bin/bash
279 # SPDX-License-Identifier: EPL-1.0
280 ##############################################################################
281 # Copyright (c) 2017 The Linux Foundation and others.
282 #
283 # All rights reserved. This program and the accompanying materials
284 # are made available under the terms of the Eclipse Public License v1.0
285 # which accompanies this distribution, and is available at
286 # http://www.eclipse.org/legal/epl-v10.html
287 ##############################################################################
288 echo &quot;---&gt; tox-install.sh&quot;
289
290 # Ensure we fail the job if any steps fail.
291 # DO NOT set -u as virtualenv's activate script has unbound variables
292 set -e -o pipefail
293
294 virtualenv --quiet &quot;/tmp/v/tox&quot;
295 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
296 source &quot;/tmp/v/tox/bin/activate&quot;
297 pip install --quiet --upgrade pip
298 pip install --quiet --upgrade pipdeptree
299 pip install --quiet --upgrade tox argparse
300
301 echo &quot;----&gt; Pip Dependency Tree&quot;
302 pipdeptree
303
304 #!/bin/bash
305 # SPDX-License-Identifier: EPL-1.0
306 ##############################################################################
307 # Copyright (c) 2017 The Linux Foundation and others.
308 #
309 # All rights reserved. This program and the accompanying materials
310 # are made available under the terms of the Eclipse Public License v1.0
311 # which accompanies this distribution, and is available at
312 # http://www.eclipse.org/legal/epl-v10.html
313 ##############################################################################
314 echo &quot;---&gt; tox-install.sh&quot;
315
316 # Ensure we fail the job if any steps fail.
317 # DO NOT set -u as virtualenv's activate script has unbound variables
318 set -e -o pipefail
319
320 cd &quot;$WORKSPACE/$TOX_DIR&quot;
321
322 if [ -n &quot;$TOX_ENVS&quot; ];
323 then
324     tox -e &quot;$TOX_ENVS&quot;
325 else
326     tox
327 fi
328 </command>
329     </hudson.tasks.Shell>
330   </builders>
331   <publishers>
332     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
333       <buildSteps>
334         <hudson.tasks.Shell>
335           <command>#!/bin/bash
336 # SPDX-License-Identifier: EPL-1.0
337 ##############################################################################
338 # Copyright (c) 2017 The Linux Foundation and others.
339 #
340 # All rights reserved. This program and the accompanying materials
341 # are made available under the terms of the Eclipse Public License v1.0
342 # which accompanies this distribution, and is available at
343 # http://www.eclipse.org/legal/epl-v10.html
344 ##############################################################################
345 echo &quot;---&gt; sysstat.sh&quot;
346 set +e  # DON'T fail build if script fails.
347
348 OS=$(facter operatingsystem)
349 case &quot;$OS&quot; in
350     Ubuntu)
351         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
352
353         # Dont run the script when systat is not enabled by default
354         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
355             exit 0
356         fi
357     ;;
358     CentOS|RedHat)
359         SYSSTAT_PATH=&quot;/var/log/sa&quot;
360     ;;
361     *)
362         # nothing to do
363         exit 0
364     ;;
365 esac
366
367 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
368 mkdir -p &quot;$SAR_DIR&quot;
369 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
370 # convert sar data to ascii format
371 while IFS=&quot;&quot; read -r s
372 do
373     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
374 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
375
376 # DON'T fail build if script fails.
377 exit 0
378 </command>
379         </hudson.tasks.Shell>
380         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
381           <managedFiles>
382             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
383               <fileId>jenkins-log-archives-settings</fileId>
384               <targetLocation/>
385               <variable>SETTINGS_FILE</variable>
386             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
387           </managedFiles>
388         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
389         <EnvInjectBuilder>
390           <info>
391             <propertiesContent>SERVER_ID=logs</propertiesContent>
392           </info>
393         </EnvInjectBuilder>
394         <hudson.tasks.Shell>
395           <command>#!/bin/bash
396 # SPDX-License-Identifier: EPL-1.0
397 ##############################################################################
398 # Copyright (c) 2017 The Linux Foundation and others.
399 #
400 # All rights reserved. This program and the accompanying materials
401 # are made available under the terms of the Eclipse Public License v1.0
402 # which accompanies this distribution, and is available at
403 # http://www.eclipse.org/legal/epl-v10.html
404 ##############################################################################
405 echo &quot;---&gt; create-netrc.sh&quot;
406
407 # Ensure we fail the job if any steps fail.
408 set -eu -o pipefail
409
410 NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
411 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
412     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
413     -v x:username -o &quot;:&quot; -v x:password \
414     &quot;$SETTINGS_FILE&quot;)
415
416 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
417 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
418 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
419
420 echo &quot;machine $machine login $user password $pass&quot; &gt; ~/.netrc
421 </command>
422         </hudson.tasks.Shell>
423         <hudson.tasks.Shell>
424           <command>#!/bin/bash
425 # SPDX-License-Identifier: EPL-1.0
426 ##############################################################################
427 # Copyright (c) 2017 The Linux Foundation and others.
428 #
429 # All rights reserved. This program and the accompanying materials
430 # are made available under the terms of the Eclipse Public License v1.0
431 # which accompanies this distribution, and is available at
432 # http://www.eclipse.org/legal/epl-v10.html
433 ##############################################################################
434 echo &quot;---&gt; lftools-install.sh&quot;
435
436 # Script to install lftools via a version passed in via lf-infra-parameters
437 #
438 # Required parameters:
439 #
440 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
441 #                      set to a strict version number like '1.2.3' or using
442 #                      PEP-440 definitions.
443 #
444 #                      Examples:
445 #                          &lt;1.0.0
446 #                          &gt;=1.0.0,&lt;2.0.0
447 #
448 # By default a released version of lftools should always be used.
449 # The purpose of the 2 variables below is so that lftools devs can test
450 # unreleased versions of lftools. There are 2 methods to install a dev version
451 # of lftools:
452 #
453 #     1) gerrit patch: Used to test a patch that has not yet been merged.
454 #                      To do this set something like this:
455 #                          LFTOOLS_MODE=gerrit
456 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
457 #
458 #     2) git branch: Used to install an lftools version from a specific branch.
459 #                    To use this set the variables as follows:
460 #                          LFTOOLS_MODE=git
461 #                          LFTOOLS_REFSPEC=master
462 #
463 #     3) release : The intended use case and default setting.
464 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
465
466 LFTOOLS_MODE=release  # release | git | gerrit
467 LFTOOLS_REFSPEC=master
468
469 # Ensure we fail the job if any steps fail.
470 # DO NOT set -u as virtualenv's activate script has unbound variables
471 set -e -o pipefail
472
473 virtualenv --quiet &quot;/tmp/v/lftools&quot;
474 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
475 source &quot;/tmp/v/lftools/bin/activate&quot;
476 pip install --quiet --upgrade pip
477
478 case $LFTOOLS_MODE in
479     gerrit)
480         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
481         pushd /tmp/lftools
482         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
483         git checkout FETCH_HEAD
484         pip install --quiet --upgrade -r requirements.txt
485         pip install --quiet --upgrade -e .
486         popd
487         ;;
488
489     git)
490         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
491         ;;
492
493     release)
494         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
495             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
496         fi
497
498         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
499         ;;
500 esac
501
502 lftools --version
503
504 # pipdeptree prints out a lot of information because lftools pulls in many
505 # dependencies. Let's only print it if we want to debug.
506 # echo &quot;----&gt; Pip Dependency Tree&quot;
507 # pip install --quiet --upgrade pipdeptree
508 # pipdeptree
509
510 #!/bin/bash
511 # SPDX-License-Identifier: EPL-1.0
512 ##############################################################################
513 # Copyright (c) 2017 The Linux Foundation and others.
514 #
515 # All rights reserved. This program and the accompanying materials
516 # are made available under the terms of the Eclipse Public License v1.0
517 # which accompanies this distribution, and is available at
518 # http://www.eclipse.org/legal/epl-v10.html
519 ##############################################################################
520 echo &quot;---&gt; logs-deploy.sh&quot;
521
522 # Ensure we fail the job if any steps fail.
523 set -eu -o pipefail
524
525 set -x  # Trace commands for this script to make debugging easier.
526
527 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
528 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
529
530 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
531 then
532     set +x # Disable trace since we no longer need it
533
534     echo &quot;WARNING: Logging server not set&quot;
535 else
536     NEXUS_URL=&quot;${NEXUS_URL:-$NEXUSPROXY}&quot;
537     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
538     BUILD_URL=&quot;${BUILD_URL}&quot;
539
540     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
541     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
542
543     set +x  # Disable trace since we no longer need it.
544
545     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
546 fi
547 </command>
548         </hudson.tasks.Shell>
549         <hudson.tasks.Shell>
550           <command>#!/bin/bash
551 # SPDX-License-Identifier: EPL-1.0
552 ##############################################################################
553 # Copyright (c) 2017 The Linux Foundation and others.
554 #
555 # All rights reserved. This program and the accompanying materials
556 # are made available under the terms of the Eclipse Public License v1.0
557 # which accompanies this distribution, and is available at
558 # http://www.eclipse.org/legal/epl-v10.html
559 ##############################################################################
560
561 # Clear log credential files
562 rm &quot;$SETTINGS_FILE&quot;
563 rm ~/.netrc
564 </command>
565         </hudson.tasks.Shell>
566         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
567           <regexp>^Build logs: .*</regexp>
568         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
569       </buildSteps>
570       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
571       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
572       <markBuildUnstable>false</markBuildUnstable>
573     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
574     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
575       <patterns>
576         <hudson.plugins.ws__cleanup.Pattern>
577           <pattern>**/*.jenkins-trigger</pattern>
578           <type>EXCLUDE</type>
579         </hudson.plugins.ws__cleanup.Pattern>
580       </patterns>
581       <deleteDirs>false</deleteDirs>
582       <cleanupMatrixParent>false</cleanupMatrixParent>
583       <externalDelete/>
584       <cleanWhenSuccess>true</cleanWhenSuccess>
585       <cleanWhenUnstable>true</cleanWhenUnstable>
586       <cleanWhenFailure>true</cleanWhenFailure>
587       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
588       <cleanWhenAborted>true</cleanWhenAborted>
589       <notFailBuild>true</notFailBuild>
590     </hudson.plugins.ws__cleanup.WsCleanup>
591   </publishers>
592   <buildWrappers>
593     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
594     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
595       <timeoutMinutes>10</timeoutMinutes>
596       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
597       <failBuild>true</failBuild>
598       <writingDescription>false</writingDescription>
599       <timeoutPercentage>0</timeoutPercentage>
600       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
601       <timeoutType>absolute</timeoutType>
602     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
603     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
604     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
605       <user>test-credential</user>
606     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
607     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
608   </buildWrappers>
609 </project>